Bug 186389 - [patch] net-im/licq: fix build on FreeBSD 10+
Summary: [patch] net-im/licq: fix build on FreeBSD 10+
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-02 20:50 UTC by Tijl Coosemans
Modified: 2014-02-06 04:09 UTC (History)
0 users

See Also:


Attachments
licq.patch (847 bytes, patch)
2014-02-02 20:50 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2014-02-02 20:50:03 UTC
Fix this build error:
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2014-01-29_19h07m40s/logs/errors/licq-base-1.8.0_1.log

By removing USE_GCC and building with clang/libc++ which works just fine
if you define -DGTEST_USE_OWN_TR1_TUPLE.  This makes GTest use its own
copy of std::tr1::tuple.  Clang/libc++ doesn't have the std::tr1 namespace.
Comment 1 Edwin Groothuis freebsd_committer 2014-02-02 20:50:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-02-05 06:50:50 UTC
Author: dinoex
Date: Wed Feb  5 06:50:43 2014
New Revision: 342634
URL: http://svnweb.freebsd.org/changeset/ports/342634
QAT: https://qat.redports.org/buildarchive/r342634/

Log:
  - fix build with clang
  PR:		186389
  Submitted by:	Tijl Coosemans

Modified:
  head/net-im/licq/Makefile

Modified: head/net-im/licq/Makefile
==============================================================================
--- head/net-im/licq/Makefile	Wed Feb  5 05:41:01 2014	(r342633)
+++ head/net-im/licq/Makefile	Wed Feb  5 06:50:43 2014	(r342634)
@@ -14,7 +14,6 @@ LIB_DEPENDS=	libboost_regex.so:${PORTSDI
 
 LICENSE=	GPLv2
 
-USE_GCC=	yes
 USES=		cmake iconv
 WRKSRC=		${WRKDIR}/${DISTNAME}
 LICQ_PORT?=	net-im/licq
@@ -23,7 +22,7 @@ LICQ_PORT?=	net-im/licq
 LDFLAGS+=	${PTHREAD_LIBS} -L${LOCALBASE}/lib ${ICONV_LIB} -Wl,--export-dynamic
 CPPFLAGS+=	-I${LOCALBASE}/include
 CFLAGS+=	-I${LOCALBASE}/include
-CXXFLAGS+=	-Wl,--export-dynamic
+CXXFLAGS+=	-Wl,--export-dynamic -DGTEST_USE_OWN_TR1_TUPLE
 
 OPTIONS_DEFINE=	OPENSSL
 OPTIONS_DEFAULT=OPENSSL
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Dirk Meyer freebsd_committer 2014-02-06 04:08:48 UTC
State Changed
From-To: open->closed